Subject: bug#23006: 25.0.92; Loading Tramp breaks pcomplete in eshell-mode

From: Stefan Monnier <[email-masked]>
Date: Sat, 19 Mar 2016 08:35:06 -0400

> non-essential comes in play only when hostname completion hasn't been
> finished.

Could you expand on this?

Do you mean when completing things like "/ssh:toto" ?
In that case I agree that Tramp shouldn't open a connection, but I think
this should be regardless of non-essential.

But do you also mean that completing "/ssh:host:tmp/ema" will open a new
connection regardless of non-essential?  If so, as mentioned I think
that would be a mistake.

> This is how Tramp behaves for years. I haven't heard complaints about
> (except the cases non-essential isn't let-bound, like the one we're
> discussing here).

Sounds like we agree, then: this should not be affected by non-essential.

        Stefan